Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf
Class HPBFDocument

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hpbf.HPBFDocument

    public final class HPBFDocument

extends org.apache.poi.POIDocument

This class provides the basic functionality for HPBF, our implementation of the publisher file format.

Constructor Summary
`HPBFDocument(org.apache.poi.poifs.filesystem.DirectoryNode dir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Opens an embeded publisher document, at the given directory.
`HPBFDocument(java.io.InputStream inp)`
`HPBFDocument(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Opens a new publisher document

Method Summary
`EscherDelayStm` | `getEscherDelayStm()`
`EscherStm` | `getEscherStm()`
`MainContents` | `getMainContents()`
`QuillContents` | `getQuillContents()`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.POIDocument
`createInformationProperties, getDocumentSummaryInformation, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HPBFDocument

    public HPBFDocument(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                 throws java.io.IOException

  Opens a new publisher document

  Throws:
    `java.io.IOException`

### HPBFDocument

    public HPBFDocument(java.io.InputStream inp)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### HPBFDocument

    public HPBFDocument(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                        org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                 throws java.io.IOException

  Opens an embeded publisher document, at the given directory.

  Throws:
    `java.io.IOException`

Method Detail

### getMainContents

    public MainContents getMainContents()

### getQuillContents

    public QuillContents getQuillContents()

### getEscherStm

    public EscherStm getEscherStm()

### getEscherDelayStm

    public EscherDelayStm getEscherDelayStm()

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in class `org.apache.poi.POIDocument`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD